<template>
    <div class="list-element"
        :class="{'list-element-selected' : selected}"
        @click="onClick"
    >
      {{text}}
  </div>
</template>


<script lang="ts">
import { Vue, prop } from 'vue-class-component';

class Props {
  text?: string = prop({
    required: false,
  });
  selected?: boolean = prop({
    required: false,
  });
}

export default class ListItem extends Vue.with(Props) {
  onClick() {
    this.$emit('select')
  }

}



</script>

<style lang="scss" scoped>
@import '@/css/variables';
.list-element {
  height: 40px;
  cursor: pointer;
  border-radius: 8px;
  font-weight: 400;
  font-size: 14px;
  line-height: 24px;
  margin-left:8px !important;
  margin-right:8px !important;
  padding: 8px !important;
  margin-bottom:8px !important;

  &:hover {
    background: $color-neutral-grey-4;
  }
  &.list-element-selected {
    background-color: $color-brand;
    color:white;
  }
}
</style>
